<?xml version="1.0" encoding="UTF-8" ?>
<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/"><channel><title>Update Webhook REST Endpoint</title><link>https://community.telligent.com/community/11/w/api-documentation/64939/update-webhook-rest-endpoint</link><description /><dc:language>en-US</dc:language><generator>14.0.0.586 14</generator><item><title>Update Webhook REST Endpoint</title><link>https://community.telligent.com/community/11/w/api-documentation/64939/update-webhook-rest-endpoint</link><pubDate>Tue, 19 Nov 2019 20:26:36 GMT</pubDate><guid isPermaLink="false">60970847-49d7-4c33-ad6c-9c7198cd66ba</guid><dc:creator>Ben Tiedt</dc:creator><comments>https://community.telligent.com/community/11/w/api-documentation/64939/update-webhook-rest-endpoint#comments</comments><description>Current Revision posted to API Documentation by Ben Tiedt on 11/19/2019 20:26:36&lt;br /&gt;
&lt;hr class="generated-documentation-start" style="border-width:0;" /&gt;&lt;div class="documentation"&gt;&lt;div class="documentation-endpoints"&gt;&lt;h2&gt;&lt;a id="URLs" name="URLs"&gt;&lt;/a&gt;URLs&lt;/h2&gt;&lt;h3&gt;&lt;a id="POST_Header_PUT_api_ashx_v2_webhooks_xml_or_json" name="POST_Header_PUT_api_ashx_v2_webhooks_xml_or_json"&gt;&lt;/a&gt;POST (Header: PUT) api.ashx/v2/webhooks.xml (or .json)&lt;/h3&gt;&lt;/div&gt;&lt;div class="documentation-request"&gt;&lt;h2&gt;&lt;a id="Request_Parameters" name="Request_Parameters"&gt;&lt;/a&gt;Request Parameters&lt;/h2&gt;&lt;table cellspacing="0" cellpadding="2" width="99%" class="WikiTable"&gt;&lt;thead&gt;&lt;tr class="WikiTableBgBlue"&gt;&lt;th&gt;Name&lt;/th&gt;&lt;th&gt;Type&lt;/th&gt;&lt;th&gt;Description&lt;/th&gt;&lt;th&gt;Location&lt;/th&gt;&lt;th&gt;Required&lt;/th&gt;&lt;th&gt;Default&lt;/th&gt;&lt;th&gt;Options&lt;/th&gt;&lt;/tr&gt;&lt;/thead&gt;&lt;tbody&gt;&lt;tr&gt;&lt;td&gt;CallBackUrlId&lt;/td&gt;&lt;td&gt;&lt;code&gt;int&lt;/code&gt;&lt;/td&gt;&lt;td&gt;Id of the Webhook to update&lt;/td&gt;&lt;td&gt;Request Body&lt;/td&gt;&lt;td&gt;Required&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;CallBackUrl&lt;/td&gt;&lt;td&gt;&lt;code&gt;string&lt;/code&gt;&lt;/td&gt;&lt;td&gt;Url of the Webhook to register to&lt;/td&gt;&lt;td&gt;Request Body&lt;/td&gt;&lt;td&gt;Optional&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;IsEnabled&lt;/td&gt;&lt;td&gt;&lt;code&gt;bool&lt;/code&gt;&lt;/td&gt;&lt;td&gt;Disabled webhooks will not recieve any event data&lt;/td&gt;&lt;td&gt;Request Body&lt;/td&gt;&lt;td&gt;Optional&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;RegenerateSecret&lt;/td&gt;&lt;td&gt;&lt;code&gt;bool&lt;/code&gt;&lt;/td&gt;&lt;td&gt;If true, the hash verification secret token for this webhook will be regenerated.&lt;/td&gt;&lt;td&gt;Request Body&lt;/td&gt;&lt;td&gt;Optional&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;SubscribedWebhookIds&lt;/td&gt;&lt;td&gt;&lt;code&gt;string&lt;/code&gt;&lt;/td&gt;&lt;td&gt;Comma-separated list of ids of each Webhook to register to. This will set each listed webhook as subscribed, and each not listed webhook as not subscribed.&lt;/td&gt;&lt;td&gt;Request Body&lt;/td&gt;&lt;td&gt;Optional&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;td&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/tbody&gt;&lt;/table&gt;&lt;/div&gt;&lt;div class="documentation-example"&gt;&lt;h2&gt;&lt;a id="Example_Requests" name="Example_Requests"&gt;&lt;/a&gt;Example Requests&lt;/h2&gt;&lt;h3&gt;&lt;a id="C_REST_SDK" name="C_REST_SDK"&gt;&lt;/a&gt;C# REST SDK&lt;/h3&gt;&lt;p&gt;This example uses the &lt;a href="https://github.com/Telligent/Social-Rest-SDK/wiki"&gt;REST SDK&lt;/a&gt; to access the Community REST API within a .Net C# application. In the example, &lt;code&gt;USER_NAME&lt;/code&gt; is the user name of the effective user for the request and &lt;code&gt;OAUTH_CLIENT_ID&lt;/code&gt; and &lt;code&gt;OAUTH_SECRET&lt;/code&gt; are the OAuth client ID and secret, respectively, associated to this application as configured in &lt;strong&gt;Administration &amp;gt; Integration &amp;gt; OAuth Clients&lt;/strong&gt; with the &amp;quot;Client Credentials&amp;quot; grant type enabled. See the &lt;a href="https://github.com/Telligent/Social-Rest-SDK/wiki"&gt;documentation for the REST SDK&lt;/a&gt; for more details about installation, configuration, and usage options.&lt;/p&gt;&lt;pre class="brush: csharp"&gt;var host = new ClientCredentialsRestHost(&amp;quot;USER_NAME&amp;quot;, &amp;quot;https://mysite.com/&amp;quot;, &amp;quot;OAUTH_CLIENT_ID&amp;quot;, &amp;quot;OAUTH_SECRET&amp;quot;);
var response = host.PutToDynamic(2, &amp;quot;webhooks.json&amp;quot;, false, new RestPutOptions {
	PostParameters = new System.Collections.Specialized.NameValueCollection {
		{ &amp;quot;CallBackUrlId&amp;quot;, &amp;quot;6&amp;quot; }
	}
});&lt;/pre&gt;&lt;/div&gt;&lt;h3&gt;&lt;a id="Widget_Javascript" name="Widget_Javascript"&gt;&lt;/a&gt;Widget Javascript&lt;/h3&gt;&lt;p&gt;This example uses the [[rest JavaScript API Module|rest JavaScript API]] to access the Community REST API within the Community web UI. When accessing the REST API through the javascript API, the effective user is the current contextual user of the web interface.&lt;/p&gt;&lt;pre class="brush: javascript"&gt;
jQuery.telligent.evolution.put({
	url: jQuery.telligent.evolution.site.getBaseUrl() + &amp;#39;api.ashx/v2/webhooks.json&amp;#39;,
	data: { 
		&amp;#39;CallBackUrlId&amp;#39;: &amp;#39;6&amp;#39;
	},
	success: function(response) {

	}
});&lt;/pre&gt;&lt;/div&gt;&lt;h3&gt;&lt;a id="cURL" name="cURL"&gt;&lt;/a&gt;cURL&lt;/h3&gt;&lt;p&gt;This example uses the &lt;a href="http://curl.haxx.se/"&gt;cURL command-line HTTP utility&lt;/a&gt;. &lt;code&gt;ENCODED_TOKEN&lt;/code&gt; in the example is the base64-encoded concatenation of the user&amp;#39;s API key (created from the user&amp;#39;s profile), a colon (:), and the user&amp;#39;s user name. &lt;a href="/r?BA"&gt;Learn more about using the REST API&lt;/a&gt;.&lt;/p&gt;&lt;pre class="brush: text"&gt;curl -H &amp;quot;Rest-User-Token: ENCODED_TOKEN&amp;quot; -d &amp;quot;CallBackUrlId=6&amp;quot; -H &amp;quot;Rest-Method: PUT&amp;quot; -X POST https://mysite.com/api.ashx/v2/webhooks.xml&lt;/pre&gt;&lt;div class="documentation-example"&gt;&lt;h2&gt;&lt;a id="Example_Responses" name="Example_Responses"&gt;&lt;/a&gt;Example Responses&lt;/h2&gt;&lt;h3&gt;&lt;a id="XML" name="XML"&gt;&lt;/a&gt;XML&lt;/h3&gt;&lt;pre class="brush: xml"&gt;&amp;lt;?xml version=&amp;quot;1.0&amp;quot; encoding=&amp;quot;utf-16&amp;quot;?&amp;gt;
&amp;lt;Response&amp;gt;
  &amp;lt;Webhook&amp;gt;
    &amp;lt;Url&amp;gt;url&amp;lt;/Url&amp;gt;
    &amp;lt;Id&amp;gt;6&amp;lt;/Id&amp;gt;
    &amp;lt;IsEnabled&amp;gt;true&amp;lt;/IsEnabled&amp;gt;
    &amp;lt;Events PageSize=&amp;quot;2&amp;quot; PageIndex=&amp;quot;0&amp;quot; TotalCount=&amp;quot;2&amp;quot;&amp;gt;
      &amp;lt;RestWebhookEvent&amp;gt;
        &amp;lt;Name&amp;gt;name&amp;lt;/Name&amp;gt;
        &amp;lt;Description&amp;gt;description&amp;lt;/Description&amp;gt;
        &amp;lt;Id&amp;gt;49fec544-6df7-4a82-872b-f8be586d5e9e&amp;lt;/Id&amp;gt;
        &amp;lt;MessageType&amp;gt;messagetype&amp;lt;/MessageType&amp;gt;
      &amp;lt;/RestWebhookEvent&amp;gt;
      &amp;lt;RestWebhookEvent&amp;gt;
        &amp;lt;Name&amp;gt;name&amp;lt;/Name&amp;gt;
        &amp;lt;Description&amp;gt;description&amp;lt;/Description&amp;gt;
        &amp;lt;Id&amp;gt;9f5a6721-639d-4e1d-ab6a-ce63b7750f46&amp;lt;/Id&amp;gt;
        &amp;lt;MessageType&amp;gt;messagetype&amp;lt;/MessageType&amp;gt;
      &amp;lt;/RestWebhookEvent&amp;gt;
    &amp;lt;/Events&amp;gt;
  &amp;lt;/Webhook&amp;gt;
  &amp;lt;Errors&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
    &amp;lt;Message&amp;gt;string&amp;lt;/Message&amp;gt;
  &amp;lt;/Errors&amp;gt;
&amp;lt;/Response&amp;gt;&lt;/pre&gt;&lt;h3&gt;&lt;a id="JSON" name="JSON"&gt;&lt;/a&gt;JSON&lt;/h3&gt;&lt;pre class="brush: javascript"&gt;{
  &amp;quot;Webhook&amp;quot;: {
    &amp;quot;Url&amp;quot;: &amp;quot;url&amp;quot;,
    &amp;quot;Id&amp;quot;: 6,
    &amp;quot;IsEnabled&amp;quot;: true,
    &amp;quot;Events&amp;quot;: [
      {
        &amp;quot;Name&amp;quot;: &amp;quot;name&amp;quot;,
        &amp;quot;Description&amp;quot;: &amp;quot;description&amp;quot;,
        &amp;quot;Id&amp;quot;: &amp;quot;49fec544-6df7-4a82-872b-f8be586d5e9e&amp;quot;,
        &amp;quot;MessageType&amp;quot;: &amp;quot;messagetype&amp;quot;
      },
      {
        &amp;quot;Name&amp;quot;: &amp;quot;name&amp;quot;,
        &amp;quot;Description&amp;quot;: &amp;quot;description&amp;quot;,
        &amp;quot;Id&amp;quot;: &amp;quot;9f5a6721-639d-4e1d-ab6a-ce63b7750f46&amp;quot;,
        &amp;quot;MessageType&amp;quot;: &amp;quot;messagetype&amp;quot;
      }
    ]
  },
  &amp;quot;Errors&amp;quot;: [
    &amp;quot;string&amp;quot;,
    &amp;quot;string&amp;quot;
  ]
}&lt;/pre&gt;&lt;/div&gt;&lt;hr class="generated-documentation-end" style="border-width:0;" /&gt;&lt;div style="clear:both;"&gt;&lt;/div&gt;
</description></item></channel></rss>